viernes, 6 de marzo de 2009

Instalar paquetes i386 en Arquitectura 64 bits!

Gente, quizas algun par de veces se habran topado con el problema de bajarse un programa que no estaba para otra arquitectura que i386 y que no estaba en repositorios o por X motivo no quisieron agregar un repositorio nuevo, etc, etc... bueno en Linux podemos lograr instalarlo sin problemas:
  • El error recibido:
christian@androide:~/Escritorio$ sudo dpkg -i Mercury-Messenger-1.9.4.deb
dpkg: error al procesar Mercury-Messenger-1.9.4.deb (--install):
la arquitectura del paquete (i386) no corresponde con la del sistema (amd64)
Se encontraron errores al procesar:
Mercury-Messenger-1.9.4.deb
christian@androide:~/Escritorio$

  • La solución:
christian@androide:~/Escritorio$ sudo dpkg -i --force-architecture Mercury-Messenger-1.9.4.deb
[sudo] password for christian:
dpkg - aviso, no se tendrá en cuenta el problema por estar activa
una opción --force:
la arquitectura del paquete (i386) no corresponde con la del sistema (amd64)
Seleccionando el paquete mercury-messenger previamente no seleccionado.
(Leyendo la base de datos ...
283140 ficheros y directorios instalados actualmente.)
Desempaquetando mercury-messenger (de Mercury-Messenger-1.9.4
.deb) ...
Configurando mercury-messenger (1.9.4) ...


p/d: de paso y si tiene tiempo pruebe Mercury-messenger (http://mercury.im/) una de las tantas alternativas (kopete, amsn, gaim, emesene, etc) que nos ofrece linux...

2 comentarios:

carlos3_v dijo...

ME HA DEJADO DE FUNCIONAR MERCURY MESSENGER, VERSION 1.9.
TENGO UN MAC G5, DOBLE PROCESADOR, 2,7

MAC OS X DOBLE PROESADOR 10.5.7.
ME HA SALIDO ESTE ERROR:

"An unexpected problem was detected at 27.05.2009 00:49:20. This could mean Mercury will stop running correctly. Unique ID: 82DEA4EB Description : init failed Please help improve Mercury by reporting this problem on the forum. Including the information log will help in identifying and fixing the problem sooner. You can choose to let Mercury copy the current information log to the clipboard below. The information log file can be found at Unknown. Note : Make sure the information does not contain private information. Thank you."

LO HE DESISTALADO Y HE INSTALADO DE NUEVO, PEO SIEMPRRE ME DA EL MISMO ERROR.
ALQUIEN PUEDE AYUDARME?. ¿QUE PUEDO HACER?

GRACIAS POR VUESTRA ATENCION

ELIAS

Anónimo dijo...

ami me da este error

dpkg: error al procesar skype (--install):
problemas de dependencias - se deja sin configurar
Procesando disparadores para hicolor-icon-theme ...
Procesando disparadores para desktop-file-utils ...
Se encontraron errores al procesar:
skype